summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
Diffstat (limited to 'desktop')
-rw-r--r--desktop/icewm/README2
-rw-r--r--desktop/icewm/doinst.sh3
-rw-r--r--desktop/icewm/icewm.SlackBuild94
-rw-r--r--desktop/icewm/icewm.info8
-rw-r--r--desktop/icewm/slack-desc11
-rw-r--r--desktop/icewm/xinitrc.icewm38
6 files changed, 156 insertions, 0 deletions
diff --git a/desktop/icewm/README b/desktop/icewm/README
new file mode 100644
index 0000000000..4e57a51d09
--- /dev/null
+++ b/desktop/icewm/README
@@ -0,0 +1,2 @@
+IceWM is a window manager for the X Window System. The goal of IceWM
+is speed, simplicity, and not getting in the user's way.
diff --git a/desktop/icewm/doinst.sh b/desktop/icewm/doinst.sh
new file mode 100644
index 0000000000..5dc6bb58c0
--- /dev/null
+++ b/desktop/icewm/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/desktop/icewm/icewm.SlackBuild b/desktop/icewm/icewm.SlackBuild
new file mode 100644
index 0000000000..265fa5e1d3
--- /dev/null
+++ b/desktop/icewm/icewm.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for icewm
+
+# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=icewm
+VERSION=1.2.30
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-icewm
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --with-x \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --enable-corefonts \
+ --enable-antialiasing
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a AUTHORS BUGS CHANGES COPYING INSTALL PLATFORMS README \
+ README.wm-session TODO VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/*.html $PKG/usr/doc/$PRGNAM-$VERSION/html
+cat $CWD/icewm.SlackBuild > $PKG/usr/doc/icewm-$VERSION/icewm.SlackBuild
+
+# Add man page
+mkdir -p $PKG/usr/man/man1
+cat doc/icewm.1.man | gzip -9c > $PKG/usr/man/man1/icewm.1.gz
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Add xinitrc for xwmconfig(1)
+install -D -m 0755 $CWD/xinitrc.icewm $PKG/etc/X11/xinit/xinitrc.icewm
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/icewm/icewm.info b/desktop/icewm/icewm.info
new file mode 100644
index 0000000000..fec90976a7
--- /dev/null
+++ b/desktop/icewm/icewm.info
@@ -0,0 +1,8 @@
+PRGNAM="icewm"
+VERSION="1.2.30"
+HOMEPAGE="http://icewm.org"
+DOWNLOAD="http://dl.sourceforge.net/icewm/icewm-1.2.30.tar.gz"
+MD5SUM="8a302c5e629bb81d87cc02004a694ece"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="BP{k}"
diff --git a/desktop/icewm/slack-desc b/desktop/icewm/slack-desc
new file mode 100644
index 0000000000..c5dfad7e01
--- /dev/null
+++ b/desktop/icewm/slack-desc
@@ -0,0 +1,11 @@
+icewm: IceWM Window Manager
+icewm:
+icewm: IceWM is a window manager for the X Window System. The goal of IceWM
+icewm: is speed, simplicity, and not getting in the user's way.
+icewm:
+icewm: Homepage: http://www.icewm.org/
+icewm:
+icewm:
+icewm:
+icewm:
+icewm:
diff --git a/desktop/icewm/xinitrc.icewm b/desktop/icewm/xinitrc.icewm
new file mode 100644
index 0000000000..0760a889ed
--- /dev/null
+++ b/desktop/icewm/xinitrc.icewm
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/usr/X11R6/lib/X11/xinit/.Xresources
+sysmodmap=/usr/X11R6/lib/X11/xinit/.Xmodmap
+
+# merge in defaults and keymaps
+
+if [ -f $sysresources ]; then
+ /usr/X11R6/bin/xrdb -merge $sysresources
+fi
+
+if [ -f $sysmodmap ]; then
+ /usr/X11R6/bin/xmodmap $sysmodmap
+fi
+
+if [ -f $userresources ]; then
+ /usr/X11R6/bin/xrdb -merge $userresources
+fi
+
+if [ -f $usermodmap ]; then
+ /usr/X11R6/bin/xmodmap $usermodmap
+fi
+
+# Create default user directory & populate it if not already existent
+if [ ! -d $HOME/.icewm ]; then
+ mkdir $HOME/.icewm
+ for FILE in keys menu preferences toolbar winoptions;
+ do cat /usr/share/icewm/$FILE > $HOME/.icewm/$FILE;
+ done
+fi
+
+# Start IceWM
+icewmbg &
+icewmtray &
+exec icewm-session
+